<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Edit Facebook Link</title>
    <link rel="stylesheet" href="<?php echo e(asset('css/scrollbar.css')); ?>">
    <?php echo app('Illuminate\Foundation\Vite')(['resources/css/app.css']); ?>
</head>

<body>
    <div class="container w-full max-w-7xl mt-0 mb-0 m-auto p-4 sm:p-8">
        <!-- Back to Funnel Main Button -->
        <div class="mb-4">
            <a href="<?php echo e(route('funnel.main')); ?>" class="inline-flex items-center px-4 py-2 bg-blue-500 text-white rounded-lg hover:bg-blue-600">
                <!-- Using the provided SVG icon (Arrow pointing left) -->
                <svg class="h-6 w-6 text-white mr-2" width="24" height="24" viewBox="0 0 24 24" stroke-width="2" stroke="currentColor" fill="none" stroke-linecap="round" stroke-linejoin="round">
                    <path stroke="none" d="M0 0h24v24H0z"/>
                    <line x1="5" y1="12" x2="19" y2="12" />
                    <line x1="5" y1="12" x2="9" y2="16" />
                    <line x1="5" y1="12" x2="9" y2="8" />
                </svg>
                Back to Funnel Main
            </a>
        </div>

        <!-- Success message -->
        <?php if(session('success')): ?>
            <div class="bg-green-100 text-green-700 border border-green-400 text-gray-500 p-4 rounded-lg mb-4">
                <?php echo e(session('success')); ?>

            </div>
        <?php endif; ?>

        <h1 class="text-2xl font-semibold mb-4">Update Facebook Link</h1>

        <!-- Form to update the Facebook link -->
        <form action="<?php echo e(route('save-funnel')); ?>" method="POST">
            <?php echo csrf_field(); ?>
            <div class="mb-4">
                <label for="facebook_link" class="block text-lg font-medium">Facebook Link</label>
                <input 
                    type="url" 
                    name="facebook_link" 
                    id="facebook_link" 
                    class="mt-2 block w-full p-3 border border-gray-300 rounded-lg"
                    value="<?php echo e(old('facebook_link', $user->facebook_link)); ?>" 
                    required
                >
                <?php $__errorArgs = ['facebook_link'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                    <div class="text-red-500 text-sm mt-2"><?php echo e($message); ?></div>
                <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
            </div>

            <button type="submit" class="px-4 py-2 bg-blue-500 text-white rounded-lg">Update Facebook Link</button>
        </form>
    </div>
</body>

</html>
<?php /**PATH C:\xampp\htdocs\real-estate\resources\views/checkout.blade.php ENDPATH**/ ?>